[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: but I want the GNU versions of packages

> If you think there is a compelling reason to change and can show that gawk
> and mawk are 100% compatable, maybe it can be worked on. But it seems most
> people don't really care.

Having bugs not fixed in 4 years (3 years even with a patch provided)
in the default awk provided by Debian seems questionable. 

Note that several (most?) bugs/wishes reports for mawk (#158481,
#63843, #23001, #65617, #81487, #172774, #127293, #135614, #155659
- not counting merged reports) gawk is explicitely indicated as a
working alternative.  

Indeed, when mawk has been selected as the default awk for Debian,
there was surely good reasons (gawk not mature, gawk not existing,
whatever, it's not the point). Today, the situation seems different
(people well aware should make a statement on the list) and maybe it's
time to choose another awk as default for the next coming debian


Mathieu Roy
  Not a native english speaker: 

Reply to: